Bug 180317 - New port: russian/p5-Text-Hyphen-RU
Summary: New port: russian/p5-Text-Hyphen-RU
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 14:10 UTC by Anes Mukhametov
Modified: 2013-09-22 19:34 UTC (History)
0 users

See Also:


Attachments
p5-Text-Hyphen-RU.shar (2.12 KB, text/plain)
2013-07-05 14:10 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 14:10:03 UTC
	New port: russian/p5-Text-Hyphen-RU	
	This module is an implementation of Knuth-Liang hyphenation algorithm for russian text using Alexander Lebedev's russian patterns.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 14:10:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:57:42 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:10:09 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-09-22 18:20:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-09-22 18:59:52 UTC
Author: sunpoet
Date: Sun Sep 22 17:59:41 2013
New Revision: 327884
URL: http://svnweb.freebsd.org/changeset/ports/327884

Log:
  - Add p5-Text-Hyphen-RU
  - While I'm here, add LICENSE and NO_STAGE
  
  Determine positions for hyphens inside words based on Text::Hyphen
  
  WWW: http://search.cpan.org/dist/Text-Hyphen-RU/
  
  PR:		ports/180317
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/russian/p5-Text-Hyphen-RU/
  head/russian/p5-Text-Hyphen-RU/Makefile   (contents, props changed)
  head/russian/p5-Text-Hyphen-RU/distinfo   (contents, props changed)
  head/russian/p5-Text-Hyphen-RU/pkg-descr   (contents, props changed)
  head/russian/p5-Text-Hyphen-RU/pkg-plist   (contents, props changed)
Modified:
  head/russian/Makefile

Modified: head/russian/Makefile
==============================================================================
--- head/russian/Makefile	Sun Sep 22 17:59:36 2013	(r327883)
+++ head/russian/Makefile	Sun Sep 22 17:59:41 2013	(r327884)
@@ -30,6 +30,7 @@
     SUBDIR += p5-Convert-Cyrillic
     SUBDIR += p5-Lingua-DetectCyrillic
     SUBDIR += p5-Lingua-RU-Charset
+    SUBDIR += p5-Text-Hyphen-RU
     SUBDIR += p5-XML-Parser-encodings
     SUBDIR += p5-cyrillic
     SUBDIR += prawda

Added: head/russian/p5-Text-Hyphen-RU/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/russian/p5-Text-Hyphen-RU/Makefile	Sun Sep 22 17:59:41 2013	(r327884)
@@ -0,0 +1,24 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Text-Hyphen-RU
+PORTVERSION=	0.11
+CATEGORIES=	russian perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Determine positions for hyphens inside russian words
+
+LICENSE=	BSD
+
+BUILD_DEPENDS=	p5-Text-Hyphen>=0:${PORTSDIR}/textproc/p5-Text-Hyphen
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+NO_STAGE=	yes
+USE_PERL5=	configure
+USES=		perl5
+
+MAN3=		Text::Hyphen::RU.3
+
+.include <bsd.port.mk>

Added: head/russian/p5-Text-Hyphen-RU/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/russian/p5-Text-Hyphen-RU/distinfo	Sun Sep 22 17:59:41 2013	(r327884)
@@ -0,0 +1,2 @@
+SHA256 (Text-Hyphen-RU-0.11.tar.gz) = 63bf3e38542d3b38724cee37891f2897453c21e86163165fc75b3248868904f6
+SIZE (Text-Hyphen-RU-0.11.tar.gz) = 32020

Added: head/russian/p5-Text-Hyphen-RU/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/russian/p5-Text-Hyphen-RU/pkg-descr	Sun Sep 22 17:59:41 2013	(r327884)
@@ -0,0 +1,3 @@
+Determine positions for hyphens inside words based on Text::Hyphen
+
+WWW: http://search.cpan.org/dist/Text-Hyphen-RU/

Added: head/russian/p5-Text-Hyphen-RU/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/russian/p5-Text-Hyphen-RU/pkg-plist	Sun Sep 22 17:59:41 2013	(r327884)
@@ -0,0 +1,8 @@
+@comment $FreeBSD$
+%%SITE_PERL%%/Text/Hyphen/RU.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/Hyphen/RU/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/Hyphen/RU
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/Hyphen
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Text
+@dirrmtry %%SITE_PERL%%/Text/Hyphen
+@dirrmtry %%SITE_PERL%%/Text
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-09-22 19:34:22 UTC
State Changed
From-To: open->closed

New port added. Thanks!